import sys
import logging # <--- ¡LA LÍNEA QUE FALTABA!
from app import fetch_and_store_all, app

# Añadimos un logger para ver la salida en el journal de systemd
handler = logging.StreamHandler(sys.stdout)
handler.setLevel(logging.INFO)
handler.setFormatter(logging.Formatter('[%(asctime)s] %(levelname)s in %(module)s: %(message)s'))
app.logger.addHandler(handler)

if __name__ == '__main__':
    app.logger.info("Iniciando tarea de recolección desde worker.py...")
    try:
        # Llamamos a la función con el nombre correcto
        fetch_and_store_all()
        app.logger.info("Tarea de recolección finalizada exitosamente.")
    except Exception as e:
        app.logger.error(f"La tarea de recolección falló con una excepción: {e}", exc_info=True)
